> ## Documentation Index
> Fetch the complete documentation index at: https://docs.retab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Template

> Delete an edit template.

Permanently deletes the edit template identified by `template_id`. Returns
`204` on success, or `404` if no template with that id exists.

Delete an `EditTemplate` by ID. Existing `Edit` records that referenced this template are preserved but new calls to `POST /v1/edits` with this template id will return `404`.

<RequestExample>
  ```python Python theme={null}
  from retab import Retab

  client = Retab()
  client.edits.templates.delete("edittplt_abc123")
  ```

  ```typescript TypeScript theme={null}
  import { Retab } from "@retab/node";

  const client = new Retab({ apiKey: process.env.RETAB_API_KEY });
  await client.edits.templates.delete("edittplt_abc123");
  ```

  ```go Go theme={null}
  package main

  import (
  	"context"
  	"log"

  	retab "github.com/retab-dev/retab/clients/go"
  )

  func ptr[T any](v T) *T { return &v }

  func main() {
  	ctx := context.Background()

  	client, err := retab.NewClient("")
  	if err != nil {
  		log.Fatal(err)
  	}

  	if err := client.Edits.Templates.Delete(ctx, "edittplt_abc123"); err != nil {
  		log.Fatal(err)
  	}
  }
  ```

  ```ruby Ruby theme={null}
  require 'retab'

  client = Retab::Client.new(api_key: ENV['RETAB_API_KEY'])

  client.edits.templates.delete(template_id: 'edittplt_abc123')
  ```

  ```rust Rust theme={null}
  use retab::Retab;

  #[tokio::main]
  async fn main() -> Result<(), Box<dyn std::error::Error>> {
      let client = Retab::new(std::env::var("RETAB_API_KEY")?);
      client.edits().templates().delete("edittplt_abc123").await?;
      Ok(())
  }
  ```

  ```php PHP theme={null}
  <?php
  require 'vendor/autoload.php';

  use Retab\Client;

  $client = new Client(apiKey: getenv('RETAB_API_KEY'));

  $client->edits()->templates()->delete(
      templateId: 'tmpl_abc123',
  );
  echo "Deleted\n";
  ```

  ```csharp C# theme={null}
  using Retab;
  using RetabClient = Retab.Retab;

  var apiKey = Environment.GetEnvironmentVariable("RETAB_API_KEY")!;
  var client = new RetabClient(apiKey);

  await client.Edits.Templates.DeleteAsync("tmpl_abc123");
  Console.WriteLine("Deleted");
  ```

  ```java Java theme={null}
  import com.retab.RetabClient;

  public final class Example {
    public static void main(String[] args) throws Exception {
      RetabClient client = new RetabClient(System.getenv("RETAB_API_KEY"));

      var result = client.edits().templates().delete("tmpl_abc123");
      System.out.println(result);
    }
  }
  ```

  ```curl cURL theme={null}
  curl -X DELETE \
    'https://api.retab.com/v1/edits/templates/edittplt_abc123' \
    -H "Authorization: Bearer $RETAB_API_KEY"
  ```
</RequestExample>

<ResponseExample>
  ```text 204 theme={null}
  No Content
  ```

  ```json 404 theme={null}
  {
    "detail": "Template edittplt_abc123 not found"
  }
  ```
</ResponseExample>


## OpenAPI

````yaml DELETE /v1/edits/templates/{template_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.retab.com
security: []
paths:
  /v1/edits/templates/{template_id}:
    delete:
      tags:
        - Edits
        - Edit Templates
      summary: Delete Template
      description: >-
        Delete an edit template.


        Permanently deletes the edit template identified by `template_id`.
        Returns

        `204` on success, or `404` if no template with that id exists.
      operationId: delete_template
      parameters:
        - in: path
          name: template_id
          required: true
          schema:
            type: string
            title: Template Id
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
          default: []
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
          default: null
        ctx:
          type: object
          title: Context
          default: {}
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````